commit: 0df123999927da7193336337398f5c6aee4dc619
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 4 11:29:49 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jul 4 12:37:05 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0df12399
dev-python/oslo-utils: Bump to 7.2.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/oslo-utils/Manifest | 1 +
dev-python/oslo-utils/oslo-utils-7.2.0.ebuild | 54 +++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index e368b7f84e25..817e2795bf09 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
DIST oslo.utils-7.1.0.tar.gz 104775 BLAKE2B
6bdd137fd5ede65ea49faa872b8d93cec20ccc3b9564548384441e8e1b14526750a6d8e0263103a926bb52425c171a6e0d9dbcb0d373d1a9c8904774d03393b0
SHA512
7bd6e7e6cf097b239216d58ce8f9028eb0b2994115be15ac78d9b1bae4efb6f774fa72da4944ac79e9155d21a8e6dea3ac13b5445c8dd0f3452a6dd8143aabc4
+DIST oslo.utils-7.2.0.tar.gz 104768 BLAKE2B
0972bd65eb4619af96a8a15a48429abf20987449ab4e480adecd3260b1440d8911bc68464c98e8020113dfe6039e409b60be22f56de43a4aa80ba98953dea93e
SHA512
3f8d7dd8e629b13c8491b4a3498ecce27937d904ca3de4df9a9e3c638fc1ce894ae29e0797c25de0886f2c9b471feabd4ff09380ba71bd6c28f0d543e489f654
diff --git a/dev-python/oslo-utils/oslo-utils-7.2.0.ebuild
b/dev-python/oslo-utils/oslo-utils-7.2.0.ebuild
new file mode 100644
index 000000000000..106abb5c0b38
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-7.2.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="
+ https://opendev.org/openstack/oslo.utils/
+ https://github.com/openstack/oslo.utils/
+ https://pypi.org/project/oslo.utils/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ <dev-python/netaddr-1[${PYTHON_USEDEP}]
+ >=dev-python/netaddr-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+ >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ dev-python/tzdata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # require eventlet
+ rm oslo_utils/tests/test_eventletutils.py || die
+
+ distutils-r1_src_prepare
+}